## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class CaseControlledMultiLineRule

    java.lang.Object
      org.eclipse.jface.text.rules.PatternRule
          org.eclipse.jface.text.rules.MultiLineRule
              org.eclipse.datatools.sqltools.sqlbuilder.views.source.CaseControlledMultiLineRule

All Implemented Interfaces:
  org.eclipse.jface.text.rules.IPredicateRule, org.eclipse.jface.text.rules.IRule

    public class CaseControlledMultiLineRule

extends org.eclipse.jface.text.rules.MultiLineRule

Constructor Summary
`CaseControlledMultiLineRule(java.lang.String startSequence, java.lang.String endSequence, org.eclipse.jface.text.rules.IToken token)` CaseControlledMultilineRule constructor comment.
`CaseControlledMultiLineRule(java.lang.String startSequence, java.lang.String endSequence, org.eclipse.jface.text.rules.IToken token, char escapeCharacter)` CaseControlledMultilineRule constructor comment.

Method Summary
`org.eclipse.jface.text.rules.IToken` `evaluate(org.eclipse.jface.text.rules.ICharacterScanner scanner)` Insert the method's description here.
`boolean` `isCaseSensitive()` Insert the method's description here.
`void` `setCaseSensitive(boolean csensitive)` Insert the method's description here.
`void` `setIncludeInnerBlockCommands(java.lang.String[] aNew)`
`void` `setInnerBlocksEndSequence(java.lang.String[] aNew)`
`void` `setInnerBlocksStartSequence(java.lang.String[] aNew)`
`void` `setInnerBlocksWithSameEndSequence(java.lang.String[] aNew)`

Methods inherited from class org.eclipse.jface.text.rules.PatternRule
`evaluate, getSuccessToken, setColumnConstraint`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseControlledMultiLineRule

    public CaseControlledMultiLineRule(java.lang.String startSequence,
                                       java.lang.String endSequence,
                                       org.eclipse.jface.text.rules.IToken token)

  CaseControlledMultilineRule constructor comment.

  Parameters:
    `startSequence` - java.lang.String
    `endSequence` - java.lang.String
    `token` - org.eclipse.jface.text.rules.IToken

### CaseControlledMultiLineRule

    public CaseControlledMultiLineRule(java.lang.String startSequence,
                                       java.lang.String endSequence,
                                       org.eclipse.jface.text.rules.IToken token,
                                       char escapeCharacter)

  CaseControlledMultilineRule constructor comment.

  Parameters:
    `startSequence` - java.lang.String
    `endSequence` - java.lang.String
    `token` - org.eclipse.jface.text.rules.IToken
    `escapeCharacter` - char

Method Detail

### evaluate

    public org.eclipse.jface.text.rules.IToken evaluate(org.eclipse.jface.text.rules.ICharacterScanner scanner)

  Insert the method's description here. Creation date: (6/26/2001 1:36:54 PM)

  Specified by:
    `evaluate` in interface `org.eclipse.jface.text.rules.IRule`
  Overrides:
    `evaluate` in class `org.eclipse.jface.text.rules.PatternRule`
  Parameters:
    `scanner` - org.eclipse.jface.text.rules.ICharacterScanner
  Returns:
    org.eclipse.jface.text.rules.IToken

### isCaseSensitive

    public boolean isCaseSensitive()

  Insert the method's description here. Creation date: (6/26/2001 10:03:50 PM)

  Returns:
    boolean

### setCaseSensitive

    public void setCaseSensitive(boolean csensitive)

  Insert the method's description here. Creation date: (6/26/2001 10:17:18 PM)

### setInnerBlocksStartSequence

    public void setInnerBlocksStartSequence(java.lang.String[] aNew)

### setInnerBlocksEndSequence

    public void setInnerBlocksEndSequence(java.lang.String[] aNew)

### setIncludeInnerBlockCommands

    public void setIncludeInnerBlockCommands(java.lang.String[] aNew)

### setInnerBlocksWithSameEndSequence

    public void setInnerBlocksWithSameEndSequence(java.lang.String[] aNew)